function stopPrintScr() {
  var e = document.createElement("input");
  e.setAttribute("value", ".");
  e.setAttribute("width", "0");
  e.style.height = "0px";
  e.style.width = "0px";
  e.style.border = "0px";
  document.body.appendChild(e);
  e.select();
  document.execCommand("copy");
  e.remove(e);
}
function accessClipboardData() {
  try {
    window.clipboardData.setData("text", "Access Restricted");
  } catch(e) {
  }
}
$(document).on({
  contextmenu: function(e) {
    console.log("ctx menu button:", e.which);
    e.preventDefault();
  },
  mousedown: function(e) {
    console.log("normal mouse down:", e.which);
  },
  mouseup: function(e) {
    console.log("normal mouse up:", e.which);
  }
});
document.onkeydown = function(e) {
  if ((e = e || window.event).ctrlKey && 83 === (e.which || e.keyCode) && (e.preventDefault(), e.stopPropagation())) return !1;
  if (123 === event.keyCode || e.ctrlKey && e.shiftKey && 73 === e.keyCode || e.ctrlKey && e.shiftKey && 67 === e.keyCode || e.ctrlKey && e.shiftKey && 74 === e.keyCode || e.ctrlKey && 85 === e.keyCode) return !1;
};
document.addEventListener("keyup", function(e) {
  if (44 === (e.keyCode ? e.keyCode : e.which)) stopPrintScr();
});
setInterval(accessClipboardData, 300);

